#! /bin/sh

# This script gets rid of the (ugly, filthy, hideous, braindead, and vile)
# autoconf/automake stuff generated from CVS source.

#set -x
if [ -f Makefile ] ; then
	make distclean
fi
# We use automake to go from Makefile.am -> Makefile.in. We also get lots of
# other ".in" files as a result of this (protracted) process of
# autoconfiguration, so just zilch them all *except* the top-level configure.in
find . -type f -name "*.in" | egrep -v "configure.in$" | xargs rm -f
find . -type f -name "aclocal.m4*" | xargs rm -f
# The 'configure' script is autogenerated from configure.in
rm -f configure
# The 'libtool' program is autogenerated from libtoolize (not currently used)
# rm -f libtool
# Our 'config' directory is kept for as many autogenerated files as these damned
# "we are GNU, this is the GNU way, you will be assimilated" tools will let us.
if [ -d config ]; then
	rm -rf config/
fi
#(cd config ; \
#	find . -type f | egrep -v "CVS" | egrep -v ".cvsignore$" | xargs rm -f ; \
#	find . -type l | egrep -v "CVS" | egrep -v ".cvsignore$" | xargs rm -f)
# Get rid of any residual backup files
find . -type f -name "*~" | xargs rm -f
find . -type f -name "*.bak" | xargs rm -f
find . -type f -name ".#*" | xargs rm -f
# Get rid of manually built stuff not covered by automake et al
find . -type f -name "*.so" | xargs rm -f
# Get rid of any tarballs built by "make dist"
rm -f swamp-*.*.*.tar.gz
# Get rid of anything left lying round by "package.sh"
rm -f .packagelist
rm -rf .temppackagedir
rm -f swamp-*.tar
# Finally, clean up stuff that autoconf may or may not clean for us
rm -f config.status
