/* License file snipped from here. Please see the "LICENSE" file, or the top of
 * the "swamp.h" header. Both contain the current license. */


#ifndef HEADER_SERV_ITERATOR_H
#define HEADER_SERV_ITERATOR_H

#include "configwrap.h"

/* This opaque type represents a "cursor" over a dist_pattern. Apart from
 * creating, destroying, or interrogating a dist_pattern abstractly, run-time
 * use of the a pattern should instead use a cursor. */
typedef struct st_server_iterator server_iterator;

/*******************************/
/* server_iterator functions */
/*******************************/

/* Create a new iterator over the supplied dist_pattern */
server_iterator *server_iterator_new(dist_pattern *p);
/* Free an iterator */
void server_iterator_free(server_iterator *c);
/* Return the swamp_address corresponding to our iterator on the pattern and
 * increment the index for next time. */
const swamp_address *server_iterator_next(server_iterator *c);

#endif /* !defined(HEADER_SERVER_ITERATOR_H) */

